net.sourceforge.pmd.cpd

## Class CPDTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sourceforge.pmd.cpd.CPDTask

All Implemented Interfaces:
  Cloneable

    public class CPDTask
    extends org.apache.tools.ant.Task

CPDTask

Runs the CPD utility via ant. The ant task looks like this:

Required: minimumTokenCount, outputFile, and at least one file

### Nested Class Summary

Nested Classes
`static class` `CPDTask.FormatAttribute`
`static class` `CPDTask.LanguageAttribute`

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`CPDTask()`

### Method Summary

Methods
`void` `addFileset(org.apache.tools.ant.types.FileSet set)`
`void` `execute()`
`void` `setEncoding(String encodingValue)`
`void` `setFormat(CPDTask.FormatAttribute formatAttribute)`
`void` `setIgnoreAnnotations(boolean value)`
`void` `setIgnoreIdentifiers(boolean value)`
`void` `setIgnoreLiterals(boolean value)`
`void` `setLanguage(CPDTask.LanguageAttribute languageAttribute)`
`void` `setMinimumTokenCount(int minimumTokenCount)`
`void` `setOutputFile(File outputFile)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPDTask

    public CPDTask()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

#### setMinimumTokenCount

    public void setMinimumTokenCount(int minimumTokenCount)

#### setIgnoreLiterals

    public void setIgnoreLiterals(boolean value)

#### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean value)

#### setIgnoreAnnotations

    public void setIgnoreAnnotations(boolean value)

#### setOutputFile

    public void setOutputFile(File outputFile)

#### setFormat

    public void setFormat(CPDTask.FormatAttribute formatAttribute)

#### setLanguage

    public void setLanguage(CPDTask.LanguageAttribute languageAttribute)

#### setEncoding

    public void setEncoding(String encodingValue)